From 5753f088cdd647fd936bbc90ae5374271aaa12dc Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Mon, 30 May 2022 15:36:33 +0200
Subject: [PATCH 34/34] Add missing slurm_msg_set_r_uid() to fed_mgr.c

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmctld/fed_mgr.c | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/src/slurmctld/fed_mgr.c b/src/slurmctld/fed_mgr.c
index d2e37bdb92..64c9f5ccd2 100644
--- a/src/slurmctld/fed_mgr.c
+++ b/src/slurmctld/fed_mgr.c
@@ -268,6 +268,7 @@ static int _ping_controller(slurmdb_cluster_rec_t *cluster)
 
 	slurm_msg_t_init(&req_msg);
 	req_msg.msg_type = REQUEST_PING;
+	slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 
 	slurm_mutex_lock(&cluster->lock);
 
@@ -582,6 +583,7 @@ static int _persist_submit_batch_job(slurmdb_cluster_rec_t *conn,
 	req_msg.msg_type = REQUEST_SIB_SUBMIT_BATCH_JOB;
 	req_msg.data     = sib_msg;
 
+	slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 	if (_send_recv_msg(conn, &req_msg, &resp_msg, false)) {
 		rc = SLURM_PROTOCOL_ERROR;
 		goto end_it;
@@ -624,6 +626,7 @@ static int _persist_allocte_resources(slurmdb_cluster_rec_t *conn,
 	req_msg.msg_type = REQUEST_SIB_RESOURCE_ALLOCATION;
 	req_msg.data     = sib_msg;
 
+	slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 	if (_send_recv_msg(conn, &req_msg, &resp_msg, false)) {
 		rc = SLURM_PROTOCOL_ERROR;
 		goto end_it;
@@ -717,6 +720,7 @@ static int _persist_fed_job_revoke(slurmdb_cluster_rec_t *conn, uint32_t job_id,
 	req_msg.msg_type = REQUEST_SIB_JOB_COMPLETE;
 	req_msg.data	 = &sib_msg;
 
+	slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 	if (_send_recv_msg(conn, &req_msg, &resp_msg, false)) {
 		rc = SLURM_PROTOCOL_ERROR;
 		goto end_it;
@@ -770,6 +774,7 @@ static int _persist_fed_job_lock(slurmdb_cluster_rec_t *conn, uint32_t job_id,
 
 	req_msg.data     = &sib_msg;
 
+	slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 	if (_send_recv_msg(conn, &req_msg, &resp_msg, false)) {
 		rc = SLURM_PROTOCOL_ERROR;
 		goto end_it;
@@ -822,6 +827,7 @@ static int _persist_fed_job_start(slurmdb_cluster_rec_t *conn,
 	req_msg.msg_type = REQUEST_SIB_JOB_START;
 	req_msg.data     = &sib_msg;
 
+	slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 	if (_send_recv_msg(conn, &req_msg, &resp_msg, false)) {
 		rc = SLURM_PROTOCOL_ERROR;
 		goto end_it;
@@ -892,6 +898,7 @@ static int _persist_fed_job_cancel(slurmdb_cluster_rec_t *conn, uint32_t job_id,
 	req_msg.msg_type = REQUEST_SIB_JOB_CANCEL;
 	req_msg.data     = &sib_msg;
 
+	slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 	if (_send_recv_msg(conn, &req_msg, &resp_msg, false)) {
 		rc = SLURM_PROTOCOL_ERROR;
 		goto end_it;
@@ -959,6 +966,7 @@ static int _persist_fed_job_requeue(slurmdb_cluster_rec_t *conn,
 	req_msg.msg_type    = REQUEST_SIB_JOB_REQUEUE;
 	req_msg.data        = &sib_msg;
 
+	slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 	if (_send_recv_msg(conn, &req_msg, &resp_msg, false)) {
 		rc = SLURM_PROTOCOL_ERROR;
 		goto end_it;
-- 
2.35.3

